Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.persistence
Interface EntityTransaction

    public interface EntityTransaction

The EntityTransaction interface is used to control resource transactions on resource-local entity managers. The EntityManager.getTransaction() method returns the EntityTransaction interface.

Author:
  Emmanuel Bernard

Method Summary
`void` | `begin()` Start a resource transaction.
`void` | `commit()` Commit the current transaction, writing any unflushed changes to the database.
`boolean` | `getRollbackOnly()` Determine whether the current transaction has been marked for rollback.
`boolean` | `isActive()` Indicate whether a transaction is in progress.
`void` | `rollback()` Roll back the current transaction.
`void` | `setRollbackOnly()` Mark the current transaction so that the only possible outcome of the transaction is for the transaction to be rolled back.

Method Detail

### begin

    void begin()

  Start a resource transaction.

  Throws:
    `IllegalStateException` - if isActive() is true.

### commit

    void commit()

  Commit the current transaction, writing any unflushed changes to the database.

  Throws:
    `IllegalStateException` - if isActive() is false.
    `RollbackException` - if the commit fails.

### rollback

    void rollback()

  Roll back the current transaction.

  Throws:
    `IllegalStateException` - if isActive() is false.
    `PersistenceException` - if an unexpected error condition is encountered.

### setRollbackOnly

    void setRollbackOnly()

  Mark the current transaction so that the only possible outcome of the transaction is for the transaction to be rolled back.

  Throws:
    `IllegalStateException` - if isActive() is false.

### getRollbackOnly

    boolean getRollbackOnly()

  Determine whether the current transaction has been marked for rollback.

  Throws:
    `IllegalStateException` - if isActive() is false.

### isActive

    boolean isActive()

  Indicate whether a transaction is in progress.

  Throws:
    `PersistenceException` - if an unexpected error condition is encountered.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD